EDIT - feature request #7518

remaining issues for usage of NatTable for bulkeditor
06/27/2018 02:12 PM - Katja Luther

Status: Closed Start date:

Priority: Priority14 Due date:

Assignee: Patrick Plitzner % Done: 100%

Category: taxeditor Estimated time: 0:00 hour

Target version: Release 5.2

Severity: normal

Description
Related issues:

Copied from EDIT - feature request #7439: Use NatTable for BulkEditor Closed
Copied to EDIT - feature request #7659: Implement algorithm to optimize initi... New
Copied to EDIT - feature request #7660: Indicate the row state in a NAT table... Closed

Associated revisions

Revision 212da61f - 07/05/2018 02:11 PM - Patrick Plitzner

ref #7518 re-enable cell text selection (on double-click)

Revision 1c47af77 - 07/05/2018 02:11 PM - Patrick Plitzner

ref #7518 Adjust visibility of context menu items

Revision 112bb8fd - 07/05/2018 06:26 PM - Patrick Plitzner

ref #7518 Adjust columns size

Revision 6328df3b - 07/06/2018 12:02 PM - Patrick Plitzner

ref #7518 Colorize deduplication rows + tooltip

Revision 16a514f4 - 08/15/2018 03:02 PM - Patrick Plitzner

ref #7518 Reduce size of index column

Revision ec35f482 - 08/15/2018 03:18 PM - Patrick Plitzner

ref #7518 Soften colors for deduplication

Revision 596ef595 - 08/15/2018 03:37 PM - Patrick Plitzner

ref #7518 Fix colums sizes -> show horizontal scrollbars

Revision a186543e - 08/15/2018 05:49 PM - Patrick Plitzner

ref #7518 Pre-load and select previously selected element

History

#1 - 06/27/2018 02:13 PM - Katja Luther
- Related to feature request #7439: Use NatTable for BulkEditor added

#2 - 07/05/2018 06:27 PM - Patrick Plitzner

- Description updated

#3 - 07/05/2018 06:27 PM - Patrick Plitzner
- Status changed from New to In Progress

#4 - 07/06/2018 12:03 PM - Patrick Plitzner

- Description updated

- Status changed from In Progress to Resolved

- Assignee changed from Patrick Plitzner to Andreas Muiller

- % Done changed from 0 to 50

#5 - 08/10/2018 07:49 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Patrick Plitzner

® possibility to copy from a cell content

o this works now except for the fact that in editing mode the right click menu does not look very nice. But this is a general issue for such
fields. A user defined menu would be better

¢ size of the rows should not be 50/50, but depending on the content length (percentage not absolute values)

o now percentage is used and the chosen percentage is reasonable for many use cases. However, the percentage does not yet depend on
real content length which might become an important issue once multiple columns are shown. So we should try to implement this.

o minor issue: the number column is too large now, it takes at least 20% of the size but usually needs only very little space if search result is
<1000 records

* better symbols for target/candidates of deduplication:

o coloring of the rows works generally fine, the only open issue is that if a row is selected the the row is blue (color for selection), this makes it
impossible to see what the deduplication state is. This is an issue because usually when you change the state of a row it is selected, so you
can not see immediately if your action was successful. You have to change selection first which is annoying. Don't know what the best
solution is. We could either try to additionally add a symbol row or have additional colors for selected targets and selected candidates

© minor issue: colors look like in the 90th, can we use more modern colors?

#6 - 08/10/2018 07:56 PM - Andreas Miiller

By the way, once we have >3 columns we will need horizontal scrolling anyway. So maybe this can already be implemented and the algorithm could
include a decision when to make the scrollbar available.

#7 - 08/10/2018 08:00 PM - Andreas Miiller
- Related to deleted (feature request #7439: Use NatTable for BulkEditor)

#8 - 08/10/2018 08:00 PM - Andreas Miiller
- Copied from feature request #7439: Use NatTable for BulkEditor added

#9 - 08/10/2018 08:01 PM - Andreas Miiller

- Description updated

The following comment was missing when the ticket was copied from #7439: "Additionally offering tooltips saying that a row is target or candidate for
deduplication.”

| added it to the ticket description. Still needs to be implemented if possible.

#10 - 08/10/2018 08:02 PM - Andreas Miiller

- Description updated

#11 - 08/13/2018 02:27 PM - Patrick Plitzner

Andreas Muller wrote:

The following comment was missing when the ticket was copied from #7439: "Additionally offering tooltips saying that a row is target or
candidate for deduplication."
| added it to the ticket description. Still needs to be implemented if possible.

The tooltips are already implemented and should work

#12 - 08/15/2018 03:31 PM - Patrick Plitzner

better symbols for target/candidates of deduplication: this could either be solved by an extra column which has an icon or (as it was earlier) we
add a tag to the label ([Target], [Candidate])
co ike-inthe 90th- | used-ali

#13 - 08/15/2018 03:38 PM - Patrick Plitzner

- Status changed from Feedback to Resolved

- Assignee changed from Patrick Plitzner to Andreas Muiller

#14 - 08/17/2018 10:05 AM - Andreas Miuiller

- Description updated

#15 - 08/17/2018 10:06 AM - Andreas Miiller
Patrick Plitzner wrote:
size of the rows should not be 50/50, but depending on the content length (percentage not absolute values): | don't understand what you

mean with 50/50. Do you want different row size so that we can show line breaks?

This was an incorrect copy when the ticket was created. Of course we talk about columns here, not rows. | changed it in the description.

#16 - 08/17/2018 10:10 AM - Andreas Miiller

Patrick Plitzner wrote:

once we have >3 columns we will need horizontal scrolling anyway: horizontal scrolling should now happen when resizing the first/entity
column

Great! Works fine.

#17 - 08/17/2018 10:19 AM - Andreas Miiller

Patrick Plitzner wrote:

colors look like in the 90th: | used a little less neon colors but this is very subjective. If you have two colors in mind | can add the RGB values

Looks better now though the yellow is a bit dirty. But don't have time to check for even better colors now.

#18 - 08/17/2018 10:21 AM - Andreas Miiller
Patrick Plitzner wrote:
possibility to copy from a cell content: On linux the context menu does not exist at all but CTRL+C works. | think that this is enough. Do you

think it is necessary to add a user defined menu? | would guess that it will conflict with the OS context menu for text fields so this would not be
easily fixed.

OK, we keept it as it is for now.
#19 - 08/17/2018 10:39 AM - Andreas Miiller

Patrick Plitzner wrote:

However, the percentage does not yet depend on real content length: | tried auto adjusting the column size depending on the content but if
you have one very large entity name the column would be extended to that which may lead to a lot of white space for the rest of the entries. Also,
double-clicking on the column will auto adjust the size of the column. | think we can leave it like this and think about it when we add more
columns in #7502

Auto adjust is probably not the solution, but we need an algorithm to compute the first percentages. Created new ticket: #7659

#20 - 08/17/2018 10:40 AM - Andreas Miuller

- Description updated

#21 - 08/17/2018 10:42 AM - Andreas Miller

- Copied to feature request #7659: Implement algorithm to optimize initial column size in NAT tables added

#22 - 08/17/2018 10:46 AM - Andreas Muller
- Copied to feature request #7660: Indicate the row state in a NAT table via symbols added

#23 - 08/17/2018 10:51 AM - Andreas Miiller
Patrick Plitzner wrote:
better symbols for target/candidates of deduplication: this could either be solved by an extra column which has an icon or (as it was earlier)

we add a tag to the label ([Target], [Candidate])

We should check, if the extra column works. Created new ticket for this #7660. Adding tag to label is not a solution | think as we soon want to start to
allow editing the cells. Also this requires that the order of the columns is fixed (starting with label).

#24 - 08/17/2018 10:52 AM - Andreas Miiller
- Status changed from Resolved to Closed
- Assignee changed from Andreas Muiller to Patrick Plitzner

- % Done changed from 50 to 100

All issues are either fixed or moved to new ticket so we can close this one.
